org.bdgenomics.adam.rdd.read

# AnySAMInFormatter

###
Related Doc: package read

#### trait AnySAMInFormatter[T <: AnySAMInFormatter[T]] extends InFormatter[AlignmentRecord, AlignmentRecordRDD, T]

Linear Supertypes
InFormatter[AlignmentRecord, AlignmentRecordRDD, T], Serializable, Serializable, AnyRef, Any
Known Subclasses
BAMInFormatter, SAMInFormatter
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AnySAMInFormatter
2. InFormatter
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract val companion: InFormatterCompanion[AlignmentRecord, AlignmentRecordRDD, T]

   Attributes
     protected
   Definition Classes
     InFormatter

2. #### abstract val converter: AlignmentRecordConverter

3. #### abstract val header: SAMFileHeaderWritable

4. #### abstract def makeWriter(os: OutputStream): SAMFileWriter

   Attributes
     protected

5. #### abstract val recordGroups: RecordGroupDictionary

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

16. #### def toString(): String

    Definition Classes
      AnyRef → Any

17. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### def write(os: OutputStream, iter: Iterator[AlignmentRecord]): Unit

    Writes alignment records to an output stream in SAM format.

    Writes alignment records to an output stream in SAM format.

    os

      An OutputStream connected to a process we are piping to.

    iter

      An iterator of records to write.

    Definition Classes
      AnySAMInFormatter → InFormatter

### Inherited from InFormatter[AlignmentRecord, AlignmentRecordRDD, T]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped